Bug 11734 - https://vcs.maemo.org certificate has expired
: https://vcs.maemo.org certificate has expired
Status: NEW
Product: maemo.org Website
Garage
: unspecified
: N900 Maemo
: Unspecified enhancement (vote)
: ---
Assigned To: Ferenc Szekely
: garage@maemo.org
:
:
:
:
  Show dependency tree
 
Reported: 2010-12-31 01:03 UTC by r.c.g
Modified: 2014-03-08 10:29 UTC (History)
0 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description r.c.g (reporter) 2010-12-31 01:03:29 UTC
The certificate for https://vcs.maemo.org has expired and hence is no longer
accepted as valid.

EXACT STEPS LEADING TO PROBLEM: 
1. Try to connect to https://vcs.maemo.org e.g. with a browser like firefox.
2. You'll see a warning about "This Connection is Untrusted".
3. On closer inspection: "I understand the risk" -> "Add Exception" -> "Get
Certificate" -> "View" it can be seen that the certificate expired on
12/30/2010
This result could also be reproduced with subversion on the command line
connecting to https://vcs.maemo.org:443.
The detailed error message is:
Error validating server certificate for 'https://vcs.maemo.org:443':
 - The certificate has expired.
Certificate information:
 - Hostname: vcs.maemo.org
 - Valid: from Tue, 29 Dec 2009 00:00:00 GMT until Wed, 29 Dec 2010 23:59:59
GMT
 - Issuer: www.verisign.com/CPS Incorp.by Ref. LIABILITY LTD.(c)97 VeriSign,
VeriSign International Server CA - Class 3, VeriSign, Inc., VeriSign Trust
Network
 - Fingerprint: 0b:71:5b:92:dd:15:23:3e:ad:91:a5:bc:68:72:6d:39:77:7f:6d:ab

EXPECTED OUTCOME: 
Certificate should be issued by a trusted CA and be valid.

ACTUAL OUTCOME: 
Certificate is issued by a trusted CA but has expired.

REPRODUCIBILITY: 
always

EXTRA SOFTWARE INSTALLED: 

OTHER COMMENTS:
Comment 1 Ferenc Szekely maemo.org 2010-12-31 03:17:15 UTC
We have the renewed certificate on the server, but it was not installed on the
load balancer yet. Requested the ISP to take care of this installation asap.